"""Unlimited length of OIDC fields

Revision ID: 1cfd8137ff5e
Revises: 574bce4bac6f
Create Date: 2022-02-21 14:22:17.559669

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "1cfd8137ff5e"
down_revision = "574bce4bac6f"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "openid_provider",
        "authorization_endpoint",
        existing_type=sa.VARCHAR(length=128),
        type_=sa.Text(),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "client_id",
        existing_type=sa.VARCHAR(length=64),
        type_=sa.Text(),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "client_secret",
        existing_type=sa.VARCHAR(length=64),
        type_=sa.Text(),
        existing_nullable=True,
    )
    op.alter_column(
        "openid_provider",
        "jwks_endpoint",
        existing_type=sa.VARCHAR(length=128),
        type_=sa.Text(),
        existing_nullable=True,
    )
    op.alter_column(
        "openid_provider",
        "token_endpoint",
        existing_type=sa.VARCHAR(length=128),
        type_=sa.Text(),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "userinfo_endpoint",
        existing_type=sa.VARCHAR(length=128),
        type_=sa.Text(),
        existing_nullable=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "openid_provider",
        "userinfo_endpoint",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=128),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "token_endpoint",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=128),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "jwks_endpoint",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=128),
        existing_nullable=True,
    )
    op.alter_column(
        "openid_provider",
        "client_secret",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=64),
        existing_nullable=True,
    )
    op.alter_column(
        "openid_provider",
        "client_id",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=64),
        existing_nullable=False,
    )
    op.alter_column(
        "openid_provider",
        "authorization_endpoint",
        existing_type=sa.Text(),
        type_=sa.VARCHAR(length=128),
        existing_nullable=False,
    )
    # ### end Alembic commands ###
